Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.fonts
Class PSTTFOutputStream

    java.lang.Object
      org.apache.fop.render.ps.fonts.PSTTFOutputStream

All Implemented Interfaces:
  TTFOutputStream

    public class PSTTFOutputStream

extends java.lang.Object
implements TTFOutputStream

Streams a TrueType font according to the PostScript format.

Constructor Summary
`PSTTFOutputStream(org.apache.xmlgraphics.ps.PSGenerator gen)` Creates a new instance wrapping the given generator.

Method Summary
`void` | `endFontStream()` Ends writing the font.
`TTFGlyphOutputStream` | `getGlyphOutputStream()` Returns an object for streaming TrueType glyphs in the glyf table.
`TTFTableOutputStream` | `getTableOutputStream()` Returns an object for streaming TrueType tables.
`void` | `startFontStream()` Starts writing the font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSTTFOutputStream

    public PSTTFOutputStream(org.apache.xmlgraphics.ps.PSGenerator gen)

  Creates a new instance wrapping the given generator.

  Parameters:
    `gen` - the generator to wrap

Method Detail

### startFontStream

    public void startFontStream()
                         throws java.io.IOException

  Description copied from interface: `TTFOutputStream`
  Starts writing the font.

  Specified by:
    `startFontStream` in interface `TTFOutputStream`
  Throws:
    `java.io.IOException`

### getTableOutputStream

    public TTFTableOutputStream getTableOutputStream()

  Description copied from interface: `TTFOutputStream`
  Returns an object for streaming TrueType tables.

  Specified by:
    `getTableOutputStream` in interface `TTFOutputStream`

### getGlyphOutputStream

    public TTFGlyphOutputStream getGlyphOutputStream()

  Description copied from interface: `TTFOutputStream`
  Returns an object for streaming TrueType glyphs in the glyf table.

  Specified by:
    `getGlyphOutputStream` in interface `TTFOutputStream`

### endFontStream

    public void endFontStream()
                       throws java.io.IOException

  Description copied from interface: `TTFOutputStream`
  Ends writing the font.

  Specified by:
    `endFontStream` in interface `TTFOutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.